﻿@model IEnumerable<eCommerce.Services.Model.Customer>
@{
    ViewBag.Title = "Cuenta Corriente";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Cuenta Corriente</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/customers/CustomerUpdate/-1'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVO CLIENTE</span>
            </button>

            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href='/customers/ExportToExcel'">
                <i class="icon fa-file-excel-o" aria-hidden="true"></i>
                <span class="hidden-xs">EXPORTAR A EXCEL</span>
            </button>
        </div>
    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            @Html.Partial("_CustomerList", Model)
        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function ()
        {
            setActionsDialogs();
        })

        function fConfirmCustomer(Id)
        {
            $.ajax({
                url: "/Customers/CustomerConfirm/" + Id,
                type: "POST",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    setActionsDialogs();
                    swal("Confirmado", "El usuario ha sido notificado vía email.", "success");
                }
            });
        }

        function fDelete(Id)
        {
            $.ajax({
                url: "/Customers/CustomerDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    setActionsDialogs();
                    swal("Eliminado!", "", "success");
                }
            });
        }

        function setActionsDialogs()
        {
            $('.remove-row').on("click", function ()
            {
                var rowId = $(this).attr("data-rowid");
                swal({
                    title: "Confirma su acción de Eliminar?",
                    text: "",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: '#F26A54',
                    confirmButtonText: 'Sí, deseo elminarlo!',
                    cancelButtonText: 'Cancelar',
                    closeOnConfirm: false,
                    closeOnCancel: true
                },
                function (isConfirm) {
                    if (isConfirm) {
                        fDelete(rowId);
                    }
                });
            });

            $('.confirm-row').on("click", function ()
            {
                var rowId = $(this).attr("data-rowid");

                swal({
                    title: "",
                    text: "Desea confirmar al usuario?",
                    showCancelButton: true,
                    confirmButtonColor: '#46be8a',
                    confirmButtonText: 'Sí, deseo confirmarlo.',
                    cancelButtonText: 'Cancelar',
                    closeOnConfirm: false,
                    closeOnCancel: true
                },
                function (isConfirm)
                {
                    if (isConfirm) 
                    {
                        fConfirmCustomer(rowId);
                    }
                });
            });
        }

    </script>
}

